Bug 11322 - move-js-headers.sh causes unnecessary source rebuilds
Summary: move-js-headers.sh causes unnecessary source rebuilds
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 420+
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-16 19:12 PDT by Kevin Ollivier
Modified: 2006-11-02 19:34 PST (History)
1 user (show)

See Also:


Attachments
Preserve original modification time for copied headers. (1.03 KB, patch)
2006-10-16 19:14 PDT, Kevin Ollivier
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Ollivier 2006-10-16 19:12:15 PDT
Since the cp operation in move-js-headers.sh does not use the -p option to preserve the modification time of the original file, make thinks that all the headers in WebCore/include/JavaScriptCore have been modified since the last build, and thus forces a rebuild of all sources that depend on them. The attached patch adds the -p option to stop this from happening.
Comment 1 Kevin Ollivier 2006-10-16 19:14:09 PDT
Created attachment 11122 [details]
Preserve original modification time for copied headers.
Comment 2 Geoffrey Garen 2006-10-17 11:26:34 PDT
Comment on attachment 11122 [details]
Preserve original modification time for copied headers.

r=me
Comment 3 Anders Carlsson 2006-11-02 19:34:58 PST
Committed revision 17557.